Skip to main content
POST
/
v1
/
organizations
/
{organizationId}
/
invitations
Create an invitation
curl --request POST \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/invitations \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "role": "admin"
}
'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "role": "admin",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "createdAt": "2023-11-07T05:31:56Z",
    "expireAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization to invite a user to.

Body

application/json
email
string<email>

Email of the invited user. Only a user with this email can join using the invitation. The email is stored in a lowercase form.

role
enum<string>

Role of the member in the organization.

Available options:
admin,
developer

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object